# PrebuiltStaticLibraryBinary

@Incubating
interface PrebuiltStaticLibraryBinary : StaticLibraryBinary

A static library that exists at a known location on the filesystem.

## Functions

getBuildType
Link copied to clipboard
abstract fun getBuildType(): BuildType
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getFlavor
Link copied to clipboard
abstract fun getFlavor(): Flavor
getHeaderDirs
Link copied to clipboard
abstract fun getHeaderDirs(): FileCollection
getLinkFiles
Link copied to clipboard
abstract fun getLinkFiles(): FileCollection
getRuntimeFiles
Link copied to clipboard
abstract fun getRuntimeFiles(): FileCollection
getStaticLibraryFile
Link copied to clipboard
abstract fun getStaticLibraryFile(): File
getTargetPlatform
Link copied to clipboard
abstract fun getTargetPlatform(): NativePlatform
setStaticLibraryFile
Link copied to clipboard
abstract fun setStaticLibraryFile(staticLibraryFile: File)
The static library binary file.